<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_generator', language 'el', branch 'MOODLE_36_STABLE'
 *
 * @package   tool_generator
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['bigfile'] = 'Μεγάλο αρχείο {$a}';
$string['courseexplanation'] = 'Αυτό το εργαλείο δημιουργεί πρότυπα μαθήματα δοκιμών που περιλαμβάνουν πολλά τμήματα, δραστηριότητες και αρχεία.

Σκοπός είναι να παράσχει ένα τυποποιημένο μέτρο για τον έλεγχο της αξιοπιστίας και της απόδοσης διαφόρων στοιχείων του συστήματος (όπως backup και restore).

Αυτή η δοκιμασία είναι σημαντική επειδή υπήρξαν πολλές περιπτώσεις στο παρελθόν όπου το σύστημα δεν λειτουργεί, σε σχέση με τις περιπτώσεις χρήσης σε πραγματικό χρόνο (π.χ. ένα μάθημα με 1.000 δραστηριότητες).

Τα μαθήματα που δημιουργούνται με τη χρήση αυτής της δυνατότητας μπορούν να καταλαμβάνουν ένα μεγάλο μέρος του χώρου βάσεων δεδομένων και του συστήματος αρχείων (δεκάδες gigabytes). Θα χρειαστεί να διαγράψετε τα μαθήματα (και να περιμένετε για διάφορες εκκαθαρίσεις) για να απελευθερώσετε ξανά αυτό το διάστημα.

** Μην χρησιμοποιείτε αυτή τη λειτουργία σε ζωντανό σύστημα **. Χρήση μόνο σε διακομιστή προγραμματιστή.
(Για να αποφύγετε τυχαία χρήση, αυτή η λειτουργία είναι απενεργοποιημένη εκτός αν έχετε επιλεγεί επίσης επίπεδο εντοπισμού σφαλμάτων DEVELOPER.)';
$string['coursesize_0'] = 'XS (~10KB; create in ~1 second)';
$string['coursesize_1'] = 'S (~10MB; create in ~30 seconds)';
$string['coursesize_2'] = 'M (~ 100MB, δημιουργία σε ~ 2 λεπτά)';
$string['coursesize_3'] = 'L (~ 1GB, δημιουργία σε ~ 30 λεπτά)';
$string['coursesize_4'] = 'XL (~ 10GB, δημιουργία σε ~ 2 ώρες)';
$string['coursesize_5'] = 'XXL (~ 20GB, δημιουργία σε ~ 4 ώρες)';
$string['coursewithoutusers'] = 'Το επιλεγμένο μάθημα δεν έχει χρήστες';
$string['createcourse'] = 'Δημιουργία μαθήματος';
$string['createtestplan'] = 'Δημιουργήστε πλάνο τεστ';
$string['creating'] = 'Δημιουργία μαθήματος';
$string['done'] = 'Ολοκληρώθηκε ({$a}s)';
$string['downloadtestplan'] = 'Κάντε λήψη του πλάνου τεστ';
$string['downloadusersfile'] = 'Λήψη αρχείου χρηστών';
$string['error_nocourses'] = 'Δεν υπάρχουν μαθήματα για τη δημιουργία του πλάνου τεστ';
$string['error_noforumdiscussions'] = 'Το επιλεγμένο μάθημα δεν περιέχει συζητήσεις στο φόρουμ';
$string['error_noforuminstances'] = 'Το επιλεγμένο μάθημα δεν περιέχει στιγμιότυπα μονάδας φόρουμ';
$string['error_noforumreplies'] = 'Το επιλεγμένο μάθημα δεν περιέχει απαντήσεις φόρουμ';
$string['error_nonexistingcourse'] = 'Το συγκεκριμένο μάθημα δεν υπάρχει';
$string['error_nopageinstances'] = 'Το επιλεγμένο μάθημα δεν περιέχει στιγμιότυπα μονάδας σελίδας';
$string['error_notdebugging'] = 'Δεν είναι διαθέσιμο σε αυτόν τον διακομιστή, επειδή δεν έχει οριστεί σφάλμα DEVELOPER';
$string['error_nouserspassword'] = 'Πρέπει να ορίσετε $ CFG-&gt; tool_generator_users_password στο config.php για να δημιουργήσετε το σχέδιο δοκιμής';
$string['fullname'] = 'Τεστ μαθήματος: {$a->size}';
$string['maketestcourse'] = 'Κάντε το τεστ του μαθήματος';
$string['maketestplan'] = 'Εκτελέστε σχέδιο δοκιμής JMeter';
$string['notenoughusers'] = 'Το επιλεγμένο μάθημα δεν έχει αρκετούς χρήστες';
$string['pluginname'] = 'Δημιουργία δεδομένων ανάπτυξης';
$string['progress_checkaccounts'] = 'Έλεγχος λογαριασμών χρηστών ({$a})';
$string['progress_coursecompleted'] = 'Ολοκληρωμένα μαθήματα ({$a}s)';
$string['progress_createaccounts'] = 'Δημιουργία λογαριασμών χρηστών ({$a->from} - {$a->to})';
$string['progress_createassignments'] = 'Δημιουργία αναθέσεων ({$a})';
$string['progress_createbigfiles'] = 'Δημιουργία μεγάλων αρχείων ({$a})';
$string['progress_createcourse'] = 'Δημιουργία μαθήματος {$a}';
$string['progress_createforum'] = 'Δημιουργία φόρουμ (δημοσιεύσεις {$a})';
$string['progress_createpages'] = 'Δημιουργία σελίδων ({$a})';
$string['progress_createsmallfiles'] = 'Δημιουργία μικρών αρχείων ({$a})';
$string['progress_enrol'] = 'Η εγγραφή των χρηστών στο μάθημα ({$a})';
$string['progress_sitecompleted'] = 'Ολοκλήρωση σελίδας ({$a}s)';
$string['shortsize_0'] = 'XS';
$string['shortsize_1'] = 'S';
$string['shortsize_2'] = 'M';
$string['shortsize_3'] = 'L';
$string['shortsize_4'] = 'XL';
$string['shortsize_5'] = 'XXL';
$string['sitesize_0'] = 'XS (~10MB; 3 courses, created in ~30 seconds)';
$string['sitesize_1'] = 'S (~50MB; 8 courses, created in ~2 minutes)';
$string['sitesize_2'] = 'M (~200MB; 73 courses, created in ~10 minutes)';
$string['sitesize_3'] = 'L (~1\'5GB; 277 courses, created in ~1\'5 hours)';
$string['sitesize_4'] = 'XL (~10GB; 1065 courses, created in ~5 hours)';
$string['sitesize_5'] = 'XXL (~20GB; 4177 courses, created in ~10 hours)';
$string['size'] = 'Το μέγεθος του μαθήματος';
$string['smallfiles'] = 'Μικρά αρχεία';
$string['targetcourse'] = 'Δοκιμάστε το μάθημα στόχου';
$string['testplanexplanation'] = 'Αυτό το εργαλείο δημιουργεί ένα αρχείο σχεδίου δοκιμής JMeter μαζί με το αρχείο διαπιστευτηρίων χρήστη.

Αυτό το σχέδιο δοκιμής έχει σχεδιαστεί για να λειτουργεί μαζί με το {$a}, το οποίο διευκολύνει την εκτέλεση του σχεδίου δοκιμών σε ένα συγκεκριμένο περιβάλλον Totara, συγκεντρώνει πληροφορίες σχετικά με τα τρέχοντα και συγκρίνει τα αποτελέσματα, συνεπώς θα χρειαστεί να το κατεβάσετε και να χρησιμοποιήσετε το script test_runner.sh ή Ακολουθήστε τις οδηγίες εγκατάστασης και χρήσης.

Πρέπει να ορίσετε έναν κωδικό πρόσβασης για τους χρήστες των μαθημάτων στο config.php (π.χ. $ CFG-&gt; tool_generator_users_password = \'totara\';). Δεν υπάρχει προεπιλεγμένη τιμή για αυτόν τον κωδικό πρόσβασης για να αποφευχθεί η ακούσια χρήση του εργαλείου. Πρέπει να χρησιμοποιήσετε την επιλογή κωδικών πρόσβασης ενημέρωσης σε περίπτωση που οι χρήστες του μαθήματος σας έχουν άλλους κωδικούς πρόσβασης ή έχουν παραχθεί από tool_generator αλλά χωρίς να ορίσετε τιμή $ CFG-&gt; tool_generator_users_password.

Είναι μέρος του tool_generator, ώστε να λειτουργεί καλά με τα μαθήματα που παράγονται από τα μαθήματα και τις γεννήτριες τοποθεσιών, μπορεί επίσης να χρησιμοποιηθεί με οποιοδήποτε μάθημα που περιέχει, τουλάχιστον:

* Αρκετά εγγεγραμμένους χρήστες (εξαρτάται από το μέγεθος του σχεδίου δοκιμής που επιλέγετε) με Η επαναφορά του κωδικού πρόσβασης στο \'totara\'
* Μια παρουσίαση της ενότητας σελίδας
* Μια παρουσίαση της ενότητας φόρουμ με τουλάχιστον μία συζήτηση και μία απάντηση

Ίσως θελήσετε να εξετάσετε την ικανότητα των servers σας όταν εκτελείτε μεγάλα σχέδια δοκιμών, καθώς το ποσό φόρτωσης που παράγεται από το JMeter μπορεί να είναι ιδιαίτερα μεγάλο . Η περίοδος ράμπας έχει ρυθμιστεί ανάλογα με τον αριθμό των νημάτων (χρηστών) για τη μείωση αυτού του είδους των ζητημάτων, αλλά το φορτίο είναι ακόμα τεράστιο.

** Μην εκτελείτε το σχέδιο δοκιμών σε ένα ζωντανό σύστημα **. Αυτή η λειτουργία δημιουργεί μόνο τα αρχεία που τροφοδοτούν το JMeter, οπότε δεν είναι επικίνδυνο από μόνο του, αλλά θα πρέπει να ** ** ΠΟΤΕ ** να εκτελέσετε αυτό το σχέδιο δοκιμών σε έναν τόπο παραγωγής.';
$string['testplansize_0'] = 'XS ({$a->users} users, {$a->loops} loops and {$a->rampup} rampup period)';
$string['testplansize_1'] = 'S ({$a->users} users, {$a->loops} loops and {$a->rampup} rampup period)';
$string['testplansize_2'] = 'M ({$a->users} users, {$a->loops} loops and {$a->rampup} rampup period)';
$string['testplansize_3'] = 'L ({$a->users} users, {$a->loops} loops and {$a->rampup} rampup period)';
$string['testplansize_4'] = 'XL ({$a->users} users, {$a->loops} loops and {$a->rampup} rampup period)';
$string['testplansize_5'] = 'XXL ({$a->users} users, {$a->loops} loops and {$a->rampup} rampup period)';
$string['updateuserspassword'] = 'Ενημέρωση του κωδικού των χρηστών του μαθήματος';
$string['updateuserspassword_help'] = 'Το JMeter πρέπει να συνδεθεί ως χρήστες του μαθήματος, μπορείτε να ορίσετε τον κωδικό πρόσβασης χρηστών χρησιμοποιώντας το $ CFG-&gt; tool_generator_users_password στο config.php; Αυτή η ρύθμιση ενημερώνει τον κωδικό πρόσβασης χρήστη σύμφωνα με το $ CFG-&gt; tool_generator_users_password. Μπορεί να είναι χρήσιμο σε περίπτωση που χρησιμοποιείτε ένα μάθημα που δεν δημιουργήθηκε από tool_generator ή $ CFG-&gt; tool_generator_users_password δεν είχε οριστεί όταν δημιουργήσατε τα μαθήματα δοκιμών.';
