<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'workshopallocation_scheduled', language 'el', branch 'MOODLE_36_STABLE'
 *
 * @package   workshopallocation_scheduled
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['currentstatus'] = 'Τρέχουσα κατάσταση';
$string['currentstatusexecution'] = 'Κατάσταση';
$string['currentstatusexecution1'] = 'Εκτελέστηκε στις {$a->datetime}';
$string['currentstatusexecution2'] = 'Για εκτέλεση ξανά στις {$a->datetime}';
$string['currentstatusexecution3'] = 'Για εκτέλεση στις {$a->datetime}';
$string['currentstatusexecution4'] = 'Αναμονή εκτέλεσης';
$string['currentstatusnext'] = 'Επόμενη εκτέλεση';
$string['currentstatusnext_help'] = 'Σε ορισμένες περιπτώσεις, η κατανομή προγραμματίζεται να εκτελείται αυτόματα και πάλι, ακόμη και αν είχε ήδη εκτελεστεί. Αυτό μπορεί να συμβεί αν παραταθεί η προθεσμία υποβολής, για παράδειγμα.';
$string['currentstatusreset'] = 'Επαναφορά';
$string['currentstatusreset_help'] = 'Η αποθήκευση της φόρμας με αυτό το πλαίσιο ελέγχου θα έχει ως αποτέλεσμα την επαναφορά της τρέχουσας κατάστασης. Όλες οι πληροφορίες σχετικά με την προηγούμενη εκτέλεση θα αφαιρεθούν, έτσι ώστε η κατανομή να μπορεί να εκτελεστεί και πάλι (εάν είναι ενεργοποιημένη παραπάνω).';
$string['currentstatusresetinfo'] = 'Επιλέξτε το πλαίσιο και αποθηκεύστε τη φόρμα για να επαναφέρετε το αποτέλεσμα εκτέλεσης';
$string['currentstatusresult'] = 'Πρόσφατο αποτέλεσμα εκτέλεσης';
$string['enablescheduled'] = 'Ενεργοποιήστε την προγραμματισμένη κατανομή';
$string['enablescheduledinfo'] = 'Καταχωρήστε αυτόματα τις υποβολές στο τέλος της φάσης υποβολής';
$string['pluginname'] = 'Προγραμματισμένη κατανομή';
$string['randomallocationsettings'] = 'Ρυθμίσεις κατανομής';
$string['randomallocationsettings_help'] = 'Οι παράμετροι για τη μέθοδο τυχαίας κατανομής ορίζονται εδώ. Θα χρησιμοποιηθούν από το plugin τυχαίας κατανομής για την πραγματική κατανομή των υποβολών.';
$string['resultdisabled'] = 'Η προγραμματισμένη κατανομή είναι απενεργοποιημένη';
$string['resultenabled'] = 'Η προγραμματισμένη κατανομή είναι ενεργοποιημένη';
$string['resultexecuted'] = 'Επιτυχία';
$string['resultfailed'] = 'Δεν είναι δυνατή η αυτόματη κατανομή των υποβολών';
$string['resultfailedconfig'] = 'Η προγραμματισμένη κατανομή δεν έχει ρυθμιστεί σωστά';
$string['resultfaileddeadline'] = 'Στο εργαστήριο δεν έχει οριστεί η προθεσμία υποβολής';
$string['resultfailedphase'] = 'Το εργαστήριο δεν βρίσκεται στη φάση υποβολής';
$string['resultvoid'] = 'Δεν δόθηκαν υποβολές';
$string['resultvoiddeadline'] = 'Όχι μετά την προθεσμία υποβολής';
$string['resultvoidexecuted'] = 'Η κατανομή έχει ήδη εκτελεστεί';
$string['scheduledallocationsettings'] = 'Προγραμματισμένες ρυθμίσεις κατανομής';
$string['scheduledallocationsettings_help'] = 'Αν είναι ενεργοποιημένη, η προγραμματισμένη μέθοδος κατανομής θα κατανέμει αυτόματα τις υποβολές για την αξιολόγηση στο τέλος της φάσης υποβολής. Το τέλος της φάσης μπορεί να οριστεί στο σεμινάριο που καθορίζει την προθεσμία υποβολής.

Εσωτερικά, η μέθοδος τυχαίας κατανομής εκτελείται με τις προκαθορισμένες παραμέτρους σε αυτήν τη φόρμα. Αυτό σημαίνει ότι η προγραμματισμένη κατανομή λειτουργεί ως εάν ο εκπαιδευτής εκτέλεσε την τυχαία κατανομή στο τέλος της φάσης υποβολής χρησιμοποιώντας τις παρακάτω ρυθμίσεις παραχώρησης.

Λάβετε υπόψη ότι η προγραμματισμένη κατανομή δεν εκτελείται εάν μεταβείτε με μη αυτόματο τρόπο το εργαστήριο στη φάση αξιολόγησης πριν από την προθεσμία υποβολής. Πρέπει να διαθέσετε μόνοι σας τις υποβολές σε αυτή την περίπτωση. Η προγραμματισμένη μέθοδος κατανομής είναι ιδιαίτερα χρήσιμη όταν χρησιμοποιείται μαζί με τη λειτουργία αυτόματης εναλλαγής φάσεων.';
$string['setup'] = 'Ρύθμιση προγραμματισμένης κατανομής';
